package com.goafanti.common.dao;

import java.util.List;
import java.util.Set;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.Permission;
import com.goafanti.permission.bo.Navigation;
import com.goafanti.permission.bo.PermissionBo;
import com.goafanti.permission.bo.SubMenu;

public interface PermissionMapper {
    int deleteByPrimaryKey(String id);

    int insert(Permission record);

    int insertSelective(Permission record);

    Permission selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Permission record);

    int updateByPrimaryKey(Permission record);

	int insertBatch(List<Permission> records);

	Set<String> findPermissionByUserId(String userId);

	List<Permission> findAll();

	int deleteByPrimaryKeys(List<String> ids);
	
	int insertn(Permission record);
	
	String selectAdminNameById(String id);
	
	int selectAutNoCount (String superId);
	
	String selectIdByAutNo(String autNo);
	
	String selectAutNoByName(String name);
	
	Permission selectSuperIdById(String id);
	
	int deleteById(String id);
	
	Permission selectAllById(String id);
	
	int selectCountBySuperId(String superId);
	
	List<Permission> selectName(String name);
	
	int updateById(Permission record);
	
	List<Permission> selectIDNBySuperId(String superId);
	
	int updateByNumber(Permission record);
	
	List<PermissionBo> selectOneAll();
	
	String selectNameById(String id);
	
	List<PermissionBo> selectAllBySuperId (String superId);
	
	String selectAutNoByNamei(String name);
	
	String selectIdByName(String name);
	
	int selectCountByid(String id);
	
	List<Navigation> selectNavList(@Param("aid")String aid);

	List<SubMenu> selectMenuList(@Param("superId")String superId,@Param("aid")String aid);

	String selectTopNavBySubUrl(@Param("subUrl")String subUrl);
}